PortAudio 2.0

Data Structures | Macros | Functions
paex_wmme_ac3.c File Reference
Example programs demonstrating PortAudio usage

Use WMME-specific interface to send raw AC3 data to a S/PDIF output. More...

`#include <stdio.h>`
`#include <math.h>`
`#include <windows.h>`
`#include <mmsystem.h>`
`#include "portaudio.h"`
`#include "pa_win_wmme.h"`

Go to the source code of this file.

## Data Structures
struct | paTestData

## Macros
#define | NUM_SECONDS (20)
#define | SAMPLE_RATE (48000)
#define | FRAMES_PER_BUFFER (64)
#define | M_PI (3.14159265)
#define | TABLE_SIZE (100)
#define | CHANNEL_COUNT (2)

## Functions
int | main (int argc, char *argv[])

## Detailed Description

Use WMME-specific interface to send raw AC3 data to a S/PDIF output.

Author
  Ross Bencina rossb.nosp@m.@aud.nosp@m.iomul.nosp@m.ch.c.nosp@m.om

Definition in file paex_wmme_ac3.c.

## Macro Definition Documentation

## ◆ CHANNEL_COUNT

#define CHANNEL_COUNT (2)

Definition at line 63 of file paex_wmme_ac3.c.

## ◆ FRAMES_PER_BUFFER

#define FRAMES_PER_BUFFER (64)

Definition at line 55 of file paex_wmme_ac3.c.

## ◆ M_PI

#define M_PI (3.14159265)

Definition at line 58 of file paex_wmme_ac3.c.

## ◆ NUM_SECONDS

#define NUM_SECONDS (20)

Definition at line 53 of file paex_wmme_ac3.c.

## ◆ SAMPLE_RATE

#define SAMPLE_RATE (48000)

Definition at line 54 of file paex_wmme_ac3.c.

## ◆ TABLE_SIZE

#define TABLE_SIZE (100)

Definition at line 61 of file paex_wmme_ac3.c.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 109 of file paex_wmme_ac3.c.